Angband.oook.cz
Angband.oook.cz
AboutVariantsLadderForumCompetitionComicScreenshotsFunniesLinks

Go Back   Angband Forums > Angband > Development

 
 
Thread Tools Display Modes
Prev Previous Post   Next Post Next
Old March 2, 2021, 10:31   #1
bughunter
Adept
 
Join Date: Nov 2019
Location: Pasadena CA
Posts: 141
bughunter is on a distinguished road
Anyone sadistic enough to watch a noob try to compile on OS X 10.6.8?

So my current MBP gave up the GPU ghost a few days ago and I'm using a 17 year old intel Core Duo 15" MBP running the newest version of OS X that supports it: 10.6.8 Snow Leopard. It may be some time before I can afford what I want... days or weeks idk yet.

The latest build of Angband that will run on this thing is 4.0.5. Newer versions just fail to launch. The nostalgia was entertaining for a while, but I'd rather play 4.1.x or preferably 4.2.x

I don't see any reason why I shouldn't be able to compile my own app, but it'd be the first time I've ever done such on a modern OS. (My last compile was on a HP64000 development system in 1985.)

It's been nothing but a series of obstacles:

I got the 4.2.1 source from rephial.org, unpacked it, and navigated to the src directory in a terminal window, and began to think "Hey, this is going to work!"

But when I tried "make -f makefile.osx" all I got back was "-bash: make: command not found"

Fk me. Xcode never got installed on this thing.

Ok, so then a little gargling led me to the Apple developer site, and I logged in and found the version of Xcode I need... only to find my browser won't grok the download page.

"The page you are trying to view cannot be shown because it uses an invalid or unsupported form of compression."

I have never seen this before, ever, on any site... wtf Apple? (You know, if I'm looking for a version of xcode that's 8 major revisions old, I'm not likely to be running your latest OS or an up-to-date browser... come ON.)

Anyway, so now I'm gonna have to go dig thru the attic and find the right box with the old install CDs/DVDs for this old beast, hope the Snow Leopard DVD is there, and hope it mounts. WTF Apple...

Am I doing it right?

Am I stupidly overlooking something?

(Like an alternate source for xcode-3.2.6?)

[Now I remember why I switched from EE/CS to straight EE.]
bughunter is offline   Reply With Quote
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't compile Sil-Q joeljpa Sil 10 May 20, 2019 21:04
Make sure to watch Patti Smith cover Dylan at the Nobel ceremony Pete Mack Idle chatter 1 December 15, 2016 20:11
Trying to compile on Windows 8 SlothsInTheDungeon Development 5 August 9, 2014 04:17
Unable to compile O Rydel Development 0 November 2, 2011 05:36
Trying to compile 3.1.2v2 on OS X kLy Development 0 December 2, 2010 17:45


All times are GMT +1. The time now is 00:12.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2023, vBulletin Solutions Inc.